float4x4 Proj;
struct VS_INPUT
{
	float4 pos		: POSITION;
	float4 color	: COLOR0;
	float4 colorSpec: COLOR1;
	float2 TuTv		: TEXCOORD0;
};
struct VS_OUTPUT
{
	float4 Pos  : POSITION;
	float4 Color: COLOR0;
	float2 TuTv : TEXCOORD0;
};

void vertex_shader(VS_INPUT In, out VS_OUTPUT Out)
{
	Out.Pos = mul(In.pos, Proj);
	Out.TuTv = In.TuTv;
	Out.Color = In.color;
};